import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';
import { DialogOption } from '@translations/redact-text-translations';
import { RemoveAnnotationOption } from '../modules/file-preview/utils/dialog-types';

export const removeAnnotationTranslations: { [key in RemoveAnnotationOption]: DialogOption } = {
    ONLY_HERE: {
        label: _('remove-annotation.dialog.content.options.only-here.label'),
        description: _('remove-annotation.dialog.content.options.only-here.description'),
        descriptionBulk: _('remove-annotation.dialog.content.options.only-here.description-bulk'),
    },
    IN_DOCUMENT: {
        label: _('remove-annotation.dialog.content.options.in-document.label'),
        description: _('remove-annotation.dialog.content.options.in-document.description'),
    },
    IN_DOSSIER: {
        label: _('remove-annotation.dialog.content.options.in-dossier.label'),
        labelBulk: _('remove-annotation.dialog.content.options.in-dossier.label-bulk'),
        description: _('remove-annotation.dialog.content.options.in-dossier.description'),
        descriptionBulk: _('remove-annotation.dialog.content.options.in-dossier.description-bulk'),
    },
    FALSE_POSITIVE: {
        label: _('remove-annotation.dialog.content.options.false-positive.label'),
        description: _('remove-annotation.dialog.content.options.false-positive.description'),
        descriptionBulk: _('remove-annotation.dialog.content.options.false-positive.description-bulk'),
    },
    DO_NOT_RECOMMEND: {
        label: _('remove-redaction.dialog.content.options.do-not-recommend.label'),
        description: _('remove-redaction.dialog.content.options.do-not-recommend.description'),
        descriptionBulk: _('remove-redaction.dialog.content.options.do-not-recommend.description-bulk'),
    },
};
